{"openapi":"3.1.0","info":{"title":"GET /api/v1/tags/{tag_id}","version":"1.0.0","description":"Get tag"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/tags/{tag_id}":{"get":{"tags":["tags"],"summary":"Get tag","description":"Retrieve a specific tag by ID","operationId":"get_tag_api_v1_tags__tag_id__get","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","title":"Tag Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"TagResponse":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"Name of the tag"},"description":{"anyOf":[{"type":"string","maxLength":1000},{"type":"null"}],"title":"Description","description":"Description of the tag"},"id":{"type":"string","title":"Id","description":"Unique identifier for the tag"},"tag_group_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tag Group Id","description":"Tag group this tag belongs to"},"tag_group_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tag Group Name","description":"Name of the tag group (if any)"},"usage_count":{"type":"integer","title":"Usage Count","description":"Number of entities using this tag","default":0},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"Timestamp when the tag was created"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"Timestamp when the tag was last updated"}},"type":"object","required":["name","id","created_at","updated_at"],"title":"TagResponse","description":"Schema for tag response."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}